"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactI18next = require("react-i18next");
var _reactNative = require("react-native");
var _MaterialIcons = _interopRequireDefault(require("react-native-vector-icons/MaterialIcons"));
var _theme = require("../../../../theme");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const styles = _reactNative.StyleSheet.create({
  flexView: {
    flexDirection: 'row',
    justifyContent: 'flex-start',
    alignItems: 'center',
    minWidth: 24,
    minHeight: 48
  },
  languageText: {
    marginLeft: 8
  }
});
const SingleSelectBlock = _ref => {
  let {
    selection,
    onSelect,
    initialSelect,
    color = _theme.TextTheme.normal.color
  } = _ref;
  const {
    t
  } = (0, _reactI18next.useTranslation)();
  const [selected, setSelected] = (0, _react.useState)();
  const handleSelect = selected => {
    setSelected(selected);
    onSelect(selected);
  };
  (0, _react.useEffect)(() => {
    if (initialSelect) {
      setSelected(initialSelect);
    }
  }, [initialSelect]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, selection === null || selection === void 0 ? void 0 : selection.map(item => /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    accessible: true,
    accessibilityLabel: (item.id === (selected === null || selected === void 0 ? void 0 : selected.id) ? t('SelectionAxs.RadioChecked') : t('SelectionAxs.RadioUnchecked')) + item.value,
    accessibilityRole: "radio",
    accessibilityState: {
      selected: item.id === (selected === null || selected === void 0 ? void 0 : selected.id)
    },
    key: item.id,
    style: styles.flexView,
    onPress: () => handleSelect(item)
  }, /*#__PURE__*/_react.default.createElement(_MaterialIcons.default, {
    name: item.id === (selected === null || selected === void 0 ? void 0 : selected.id) ? 'radio-button-checked' : 'radio-button-unchecked',
    size: 36,
    color: color
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.languageText, _theme.TextTheme.normal]
  }, item.value))));
};
var _default = SingleSelectBlock;
exports.default = _default;
//# sourceMappingURL=SingleSelectBlock.js.map